GET
/vaults/detailsGet Vault Details
Outcome - Returns the vault your API key belongs to: name, type, category (CRYPTO or FIAT), allowed origins, webhook and fiat currency.
Responses
Response attributes
messagestringSuccess message
dataobjectVault details
Show child attributes (10)
idnumberVault ID
namestringVault name
photostring | nullURL of the vault image
vaultTypestringapi_segregated, api_consolidated, internal, escrow, payment, fiat_segregated or fiat_payment
categorystringCRYPTO or FIAT
allowedOriginsstring[] | nullBrowser origins allowed to call the API with this vault's credentials
webhookIdnumber | nullID of the vault's webhook configuration, used by Create/Update Webhook Events
fiatCurrencyDetailsobjectCurrency used to show fiat values: id, name, symbol, pricingId
createdAtstringCreation date
updatedAtstringLast update date
statusnumberHTTP status code
Was this page helpful?